fcf.module({
  name: "fcf:NEvent/Click.js",
  dependencies: [],
  module: function(Event) {
    var NEvent = fcf.prepareObject(fcf, "NEvent");

    NEvent.Click = function(a_args, a_subEvent) {
      fcf.Event.call(this, "click", a_args, a_subEvent);

      this.directionalСall = true;

      //this.owner

      //this.origin
    }

    return NEvent.Click;
  }
});
